Adverti horiz upsell

jEdit Maya Editor Plugin 1.7.1

jEdit plugin which replaces Maya's script editor

License
Button download
7,349 Downloads

Compatibility

Operating Systems

  • Linux
  • Windows

History

Created:09/13/2005
Last Modified:11/09/2011
File Size: 27.8 KB
per page
11-20 of 20

Reviews Love it? Or maybe you want to share some creative ways you're putting this item to use.

  • bfloch

    bfloch said almost 16 years ago:

    I realized that by default an older version of java RE was used to run jedit which lead to the error message. Try using the link to the correct java runtime environment. It works here with 1.6.0_07 and jedit 4.3_pre14: Startup jedit: C:\Program Files\Java\jre1.6.0_07\bin\javaw.exe -jar "C:\Program Files\jEdit\jedit.jar"
  • bblackbourn

    bblackbourn said about 16 years ago:

    I had the same error with "badclass" on 1.7 (can't update java on company's linux network...), so rolled back to an old 1.4 version I downloaded ages ago. jEdit can talk to Maya 8.5 but doesn't get any messages back... Also despite putting path to maya help docs, "display docs" doesn't work either. Do I have to use v1.5 for it to work with maya 8.5 & if so how do I get it...? great idea, wish it worked fully :( cheers!
  • Iosif Kefalas

    Iosif Kefalas said over 16 years ago:

    I get the same error "Bad version number in class file". Seems there is an problem with the MayaEditor.jar Jedit 4.3 pre 13 OSX 10.4.11 PPC
  • Infernalspawn

    Infernalspawn said almost 17 years ago:

    Unfortunately it doesnt work with jedit on mac, it requests jedit 4.3 pre 9 or later but when you use 4.3 pre 9 or later it returns an error "Bad version number in class file".
  • CharlieWales

    CharlieWales said about 17 years ago:

    Needs the lastest Java Runtime Environment in order to load properly. Tested with JRE 1.6.0_01. There are other plugins in order to send maya commands but with this one you get feedback from the script editor right into jEdit in a separate buffer. Great job! Only thing I don't like is the fact that the feedback buffer is automatically displayed replacing your current buffer when you have your work area split in two panels (minor issues).
  • JamSession

    JamSession said about 17 years ago:

    With this latest version, it keeps saying plugin error C:Program FilesjEditjarsMayaEditor.jar: Cannot start: java.lang.UnsupportedClassVersionError: Bad version number in .class file. Try updating to a newer version of the plugin. ***To solve the problem, make sure you have the latest java download from sun java's website*** I thought I had the latest java one since I downloaded it 3 weeks ago, but it looks like they released a newer one.
  • rbublitz

    rbublitz said about 17 years ago:

    Each jEdit release requires the latest version of Java. All plugins also would require recompilation with that latest version. So this version of jEdit Maya Editor 1.7 is compatible with jEdit 4.3pre13. I'm not sure what the issues with the Mac are - never used it.
  • Jason Parks

    Jason Parks said over 18 years ago:

    I like it. But no readme and the .bsh gives errors when I load jEdit.
  • kurianos3d

    kurianos3d said over 18 years ago:

    Yes we dont haev any readme...i am a very new user of Jedit how it will work ??/
  • soundoptik

    soundoptik said over 18 years ago:

    I expanded the archive but can't find the readme.txt for installation instructions.

Post a review:

Rate this item: